> ## Documentation Index
> Fetch the complete documentation index at: https://docs.journeybee.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tags

> Retrieve all tags for a company with filtering by association type

## Authentication

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET "https://app.journeybee.io/api/v1/tags?association=lead" \
    -H "Authorization: Bearer your-api-key-uuid" \
    -H "Content-Type: application/json"
  ```
</CodeGroup>

## Query Parameters

<ParamField query="association" type="string">
  Filter by association type. Options: `lead`, `lead_deal`, `partner`, `card`
</ParamField>

<ParamField query="partner_type" type="string">
  Filter by partner type. Options: `referral`, `reseller`
</ParamField>

## Response Schema

<ResponseField name="tags" type="array">
  Array of tag objects

  <Expandable title="Tag Object">
    <ResponseField name="id" type="number">Tag ID</ResponseField>
    <ResponseField name="uuid" type="string">Tag UUID</ResponseField>
    <ResponseField name="label" type="string">Tag label</ResponseField>
    <ResponseField name="background_color" type="string">Background color (hex)</ResponseField>
    <ResponseField name="text_color" type="string">Text color (hex)</ResponseField>
    <ResponseField name="association" type="string">What this tag can be applied to</ResponseField>
    <ResponseField name="partner_type" type="string">Partner type association</ResponseField>
    <ResponseField name="company_id" type="number">Company ID</ResponseField>
  </Expandable>
</ResponseField>

## Example Response

<ResponseExample>
  ```json 200 OK theme={null}
  [
    {
      "id": 10,
      "uuid": "tag-uuid-123",
      "label": "High Priority",
      "background_color": "#EF4444",
      "text_color": "#FFFFFF",
      "association": "lead",
      "partner_type": "referral",
      "company_id": 123
    },
    {
      "id": 11,
      "label": "Enterprise",
      "background_color": "#8B5CF6",
      "text_color": "#FFFFFF",
      "association": "lead_deal"
    }
  ]
  ```
</ResponseExample>

## Notes

* Requires API key with `read_access` permission
* Tags provide visual organization and filtering capabilities
* Different associations allow tags for different entity types
